TANH(3)

NAME
tanh, tanhf - hyperbolic tangent

SYNOPSIS

#include <math.h>

double tanh(double x);

float tanhf(float x);

DESCRIPTION

tanh computes the hyperbolic tangent of the argument x. Angles are specified in radians.

tanh(x) is defined as

     sinh(x)/cosh(x)

tanhf is identical, save that it takes and returns float values.

RETURNS

The hyperbolic tangent of x is returned.

PORTABILITY

tanh is ANSI C. tanhf is an extension.